Subject: bug#31948: 26.1; smie-indent-forward-token forward-sexp in strings

From: Stefan Monnier <[email-masked]>
Date: Sat, 23 Jun 2018 14:15:33 -0400

> For example, in a ruby-mode buffer with the following content, place
> point inside the first "", and M-: (smie-indent-forward-token). Point
> moves to the subsequent "" no matter how far away the second "" is.
>
> -------- buffer content --------
> "",
> beg do
> end
> abc,
> abc,
> abc,
> ""
> --------------------------------
>
> Is this a bug?

It doesn't look like a bug, in the sense that smie-indent-forward-token
should be able to assume it's called from a position outside of
a string/comment.

IOW I'd tend to put the blame on the code that calls this function.

        Stefan